Package Details: standardese-git 0.4.0-1

Git Clone URL: https://aur.archlinux.org/standardese-git.git (read-only, click to copy)
Package Base: standardese-git
Description: A (work-in-progress) nextgen Doxygen for C++
Upstream URL: https://github.com/foonathan/standardese
Licenses: MIT
Conflicts: spdlog-git, standardese
Provides: standardese
Submitter: verri
Maintainer: CvR_XX
Last Packager: CvR_XX
Votes: 0
Popularity: 0.000000
First Submitted: 2016-11-29 19:08
Last Updated: 2020-07-06 12:30

Latest Comments

pluc commented on 2020-12-20 09:16

Hello, it seems the package is missing a shared library :

$ standardese --help
standardese: error while loading shared libraries: libstandardese.so: cannot open shared object file: No such file or directory

$ ldd (which standardese)
        linux-vdso.so.1 (0x00007ffc85b4e000)
        libstandardese.so => not found
        libboost_program_options.so.1.75.0 => /usr/lib/libboost_program_options.so.1.75.0 (0x00007f2cccebf000)
        libboost_filesystem.so.1.75.0 => /usr/lib/libboost_filesystem.so.1.75.0 (0x00007f2ccce9d000)
        libcppast.so => not found
        libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007f2ccccc0000)
        libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007f2cccca6000)
        libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007f2cccc82000)
        libc.so.6 => /usr/lib/libc.so.6 (0x00007f2cccab9000)
        librt.so.1 => /usr/lib/librt.so.1 (0x00007f2cccaae000)
        libm.so.6 => /usr/lib/libm.so.6 (0x00007f2ccc968000)
        /lib64/ld-linux-x86-64.so.2 => /usr/lib64/ld-linux-x86-64.so.2 (0x00007f2cccfde000)

$ paru -Ql standardese-git
standardese-git /usr/
standardese-git /usr/bin/
standardese-git /usr/bin/standardese
standardese-git /usr/share/
standardese-git /usr/share/licenses/
standardese-git /usr/share/licenses/standardese-git/
standardese-git /usr/share/licenses/standardese-git/LICENSE

CvR_XX commented on 2020-07-06 12:31

Added llvm to dependencies so it should work again!

felixthecat commented on 2020-02-03 16:19

Standardese needs "llvm" package as a needed dependency, can be installed with "sudo pacman -S llvm".